webpackJsonp([0],{

/***/ 116:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* unused harmony export AuthResponse */
/* unused harmony export Config */
/* unused harmony export Provider */
/* unused harmony export HttpConfig */
/* unused harmony export Shop */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_forms__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_screen_orientation__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_user_agent__ = __webpack_require__(226);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__utils_loadProviderStyle__ = __webpack_require__(118);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__home_home__ = __webpack_require__(130);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_app_version__ = __webpack_require__(66);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





// import { Geolocation } from "@ionic-native/geolocation/";






var jsonHttpOptions = {
    headers: new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["c" /* HttpHeaders */]({ 'Accept': 'application/json', 'Content-Type': 'application/json' })
};
var LoginPage = /** @class */ (function () {
    function LoginPage(http, toastCtrl, formBuilder, storage, keyboard, appVersion, app, platform, screenOrientation, userAgent, alertCtrl) {
        var _this = this;
        this.http = http;
        this.toastCtrl = toastCtrl;
        this.formBuilder = formBuilder;
        this.storage = storage;
        this.keyboard = keyboard;
        this.appVersion = appVersion;
        this.app = app;
        this.platform = platform;
        this.screenOrientation = screenOrientation;
        this.userAgent = userAgent;
        this.alertCtrl = alertCtrl;
        this.expired = false;
        this.providers = [];
        this.showProviders = false;
        this.isLoginLoading = false;
        this.hasLoginResponse = false;
        this.loginResponse = -1;
        this.showList = false;
        this.protocol = "https";
        this.showDropDown = false;
        this.dropDownName = "";
        var getVersion = this.appVersion.getVersionNumber();
        var getVersionCode = this.appVersion.getVersionCode();
        var getAppName = this.appVersion.getAppName();
        Promise.all([getVersion, getVersionCode, getAppName]).then(function (arrayOfResults) {
            var version = arrayOfResults[0];
            _this.appInfo = arrayOfResults[2] + " v" + version;
            _this.versionCode = +arrayOfResults[1];
            _this.versionApp = version + "-" + _this.versionCode;
            _this.userAgent.reset().then(function (res) {
                _this.userAgent.set(res + " cdntv-android/" + _this.versionApp)
                    .then(function (res) { })
                    .catch(function (error) { });
            }).catch(function (error) { });
        });
        this.loginFg = this.formBuilder.group({
            uname: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required],
            pwd: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required],
            provider: [''],
        });
        // this.getGPSLocation();
    }
    LoginPage.prototype.getIPLocation = function (ip) {
        var _this = this;
        fetch('http://ip-api.com/json/' + ip)
            .then(function (response) {
            return response.json();
        })
            .then(function (data) {
            // Work with JSON data here
            _this.storage.set('lat', data.lat);
            _this.storage.set('lon', data.lon);
        })
            .catch(function (err) { });
    };
    LoginPage.prototype.getMyIP = function () {
        var _this = this;
        fetch('https://ip.seeip.org/json')
            .then(function (response) {
            return response.json();
        })
            .then(function (data) {
            // Work with JSON data here
            _this.getIPLocation(data.ip);
        })
            .catch(function (err) { });
    };
    // getGPSLocation() {
    //   this.platform.ready().then(() => {
    //     this.geolocation.getCurrentPosition({ timeout: 5000, maximumAge: Infinity, enableHighAccuracy: true }).then((resp) => {
    //       this.storage.set('lat', resp.coords.latitude);
    //       this.storage.set('lon', resp.coords.longitude);
    //     }).catch(() => { this.getMyIP(); });
    //   });
    // }
    LoginPage.prototype.getProviders = function (ev) {
        var val = ev.target.value.toLowerCase();
        if (val && val.trim() != '' && val.length >= 3) {
            var suggestions = [];
            var choices = this.providers;
            for (var i = 0; i < choices.length; i++)
                if (~(choices[i].edge + ' ' + choices[i].name).toLowerCase().indexOf(val))
                    suggestions.push(choices[i]);
            this.showList = true;
            this.suggestions = suggestions;
        }
        else {
            this.showList = false;
        }
    };
    LoginPage.prototype.selectedProvider = function (ev) {
        this.loginFg.patchValue({
            provider: ev.edge,
        });
        this.showList = false;
    };
    LoginPage.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.http.get('assets/config.json').subscribe(function (data) {
            _this.managerUrl = data.managerUrl;
            try {
                Object(__WEBPACK_IMPORTED_MODULE_7__utils_loadProviderStyle__["a" /* default */])(_this.managerUrl, _this.http).then(function (response) {
                    _this.loadConfig(response);
                }).catch(function (e) {
                    _this.loadConfig(data);
                });
            }
            catch (error) {
                console.log('error', error);
                _this.loadConfig(data);
            }
            ;
        });
    };
    LoginPage.prototype.loadConfig = function (data) {
        var _this = this;
        try {
            this.showDropDown = data.showDropDown ? data.showDropDown : this.showDropDown;
            this.dropDownName = data.dropDownName ? data.dropDownName : this.dropDownName;
            this.hasBackground = data.hasBackground ? data.hasBackground : this.hasBackground;
            this.protocol = data.protocol ? data.protocol : this.protocol;
            this.folderName = data.folderName ? data.folderName : this.folderName;
            this.putBackground();
            if (data.providersList) {
                this.http.get(data.providersList).subscribe(function (response) {
                    try {
                        _this.showProviders = true;
                        _this.providers = response;
                        if (data.managerUrl == 's2.cdn.tv.br' || data.managerUrl == 'demo.cdn.tv.br') {
                            var demo = new Provider();
                            demo.edge = 'demo.cdn.tv.br';
                            demo.name = 'Demo';
                            _this.providers.unshift(demo);
                        }
                        _this.providers.map(function (res) {
                            Object.assign(res, { edge: res.edge.trim() });
                        });
                        _this.loginFg = _this.formBuilder.group({
                            uname: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required],
                            pwd: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required],
                            provider: [_this.providers[0].edge, __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required]
                        });
                    }
                    catch (e) { }
                });
            }
            this.storage.remove('pwd');
            var getProvider = this.storage.get('managerUrl');
            var getRtoken = this.storage.get('rtoken');
            var getExpired = this.storage.get('expired');
            Promise.all([getProvider, getRtoken, getExpired]).then(function (arrayOfResults) {
                var provider = arrayOfResults[0];
                var rtoken = arrayOfResults[1];
                var expired = arrayOfResults[2];
                if (_this.showProviders && provider !== null) {
                    _this.managerUrl = provider;
                }
                //Load main logo
                _this.mainLogo = _this.protocol + "://" + _this.managerUrl + "/logo/main-logo.png";
                if (expired) {
                    _this.expired = true;
                    _this.storage.remove('expired');
                }
                if (rtoken) {
                    var data = { "token": rtoken };
                    _this.loginAuth(data, true);
                }
                else {
                    _this.initLogin();
                }
            });
        }
        catch (e) {
            var alerta = this.alertCtrl.create({
                title: 'Erro!',
                message: 'Falha ao carregar configuração.',
                buttons: [
                    {
                        text: 'Sair',
                        role: 'exit',
                        handler: function () {
                            _this.platform.exitApp();
                        }
                    }
                ]
            });
            alerta.present();
        }
    };
    LoginPage.prototype.putBackground = function () {
        var _this = this;
        Promise.all([this.hasBackground, this.folderName]).then(function () {
            if (_this.hasBackground) {
                _this.screenOrientation.onChange().subscribe(function () {
                    if (_this.screenOrientation.type.includes('portrait')) {
                        document.getElementById('login-modal').style.backgroundImage = 'url("assets/backgrounds/' + _this.folderName + '/portrait.png")';
                        document.getElementById('login-modal').style.paddingTop = "40%";
                    }
                    else {
                        document.getElementById('login-modal').style.backgroundImage = 'url("assets/backgrounds/' + _this.folderName + '/landscape.png")';
                        document.getElementById('login-modal').style.paddingTop = "10%";
                    }
                });
                if (_this.screenOrientation.type.includes('portrait')) {
                    document.getElementById('login-modal').style.backgroundImage = 'url("assets/backgrounds/' + _this.folderName + '/portrait.png")';
                    document.getElementById('login-modal').style.paddingTop = "40%";
                }
                else {
                    document.getElementById('login-modal').style.backgroundImage = 'url("assets/backgrounds/' + _this.folderName + '/landscape.png")';
                    document.getElementById('login-modal').style.paddingTop = "10%";
                }
                document.getElementById('login-modal').style.backgroundPosition = "center";
                document.getElementById('login-modal').style.backgroundSize = "100% 100%";
            }
        });
    };
    LoginPage.prototype.loginAuth = function (data, auto) {
        var _this = this;
        if (auto === void 0) { auto = false; }
        if (!auto) {
            this.expired = false;
            this.hasLoginResponse = false;
            this.isLoginLoading = true;
        }
        this.http.post(this.protocol + "://" + this.managerUrl + "/auth", data, jsonHttpOptions).subscribe(function (response) {
            try {
                var now = new Date();
                var lifetime = response.lifetime * 1000;
                var expire = now.getTime() + lifetime;
                _this.storage.set('token', response.token);
                _this.storage.set('expire', expire);
                _this.storage.set('protocol', _this.protocol);
                //Load user
                if (!auto) {
                    _this.storage.set('rtoken', response.rtoken);
                    _this.storage.set('user', data.username);
                    //Could get name and email too
                }
                //"this.navCtrl.setRoot(HomePage);" doesn't work properly
                _this.storage.set('managerUrl', _this.managerUrl);
                _this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_9__home_home__["a" /* HomePage */];
            }
            catch (e) {
                if (!auto) {
                    setTimeout(function () {
                        _this.isLoginLoading = false;
                        _this.hasLoginResponse = true;
                        _this.loginResponse = 1;
                    }, 1000);
                }
                else {
                    _this.initLogin();
                }
            }
        }, function (error) {
            if (!auto) {
                setTimeout(function () {
                    _this.isLoginLoading = false;
                    _this.hasLoginResponse = true;
                    _this.loginResponse = error.status;
                }, 1000);
            }
            else {
                _this.initLogin();
            }
        });
    };
    LoginPage.prototype.loginSubmit = function () {
        var _this = this;
        if (this.showProviders) {
            this.managerUrl = this.loginFg.value["provider"];
        }
        var name = this.loginFg.value["uname"];
        var pwd = this.loginFg.value["pwd"];
        var getLat = this.storage.get('lat');
        var getLon = this.storage.get('lon');
        Promise.all([getLat, getLon]).then(function (arrayOfResults) {
            var lat = arrayOfResults[0];
            var lon = arrayOfResults[1];
            var data = { "username": name, "password": pwd, "version": _this.versionApp, "location": { "latitude": lat, "longitude": lon } };
            _this.loginAuth(data);
        });
    };
    LoginPage.prototype.toast = function (message, duration, position) {
        var toast = this.toastCtrl.create({
            message: message,
            duration: duration * 1000,
            position: position,
        });
        toast.present();
    };
    LoginPage.prototype.initLogin = function () {
        var _this = this;
        document.getElementById('login-modal').style.display = 'block';
        setTimeout(function () {
            _this.unameInput.setFocus();
            _this.keyboard.show();
        }, 1000);
    };
    LoginPage.prototype.handleKeyboardEvent = function (event) {
        if (event.key === 'Enter') {
            this.loginSubmit();
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('uname'),
        __metadata("design:type", Object)
    ], LoginPage.prototype, "unameInput", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('provider'),
        __metadata("design:type", Object)
    ], LoginPage.prototype, "providerInput", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["y" /* HostListener */])('document:keydown', ['$event']),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [KeyboardEvent]),
        __metadata("design:returntype", void 0)
    ], LoginPage.prototype, "handleKeyboardEvent", null);
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/pages/login/login.html"*/'<ion-header>\n  <ion-navbar align-title="center">\n    <ion-title text-center>\n      <img class="main-logo" src="{{mainLogo}}">\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <div id="login-modal" class="modal" style="display: none;" >\n\n    <form [formGroup]="loginFg" (ngSubmit)="loginSubmit()" class="modal-content modal-animate">\n      <div class="modal-container">\n        <div style="width: 100%; text-align: center; margin: 5px auto 10px auto;">\n          <p class="expired-login" *ngIf="expired">Sessão expirada!</p>\n        </div>\n        <div style="position: relative;" class="wrapper" *ngIf="!showDropDown">\n          <ion-item style="padding-left: 0;" *ngIf="showProviders">\n            <ion-input type="text" placeholder="Provedor" (input)="getProviders($event)" formControlName="provider"></ion-input>\n          </ion-item>\n          <ion-list *ngIf="showList" class="providers-list">\n            <ion-item *ngFor="let provider of suggestions" (click)="selectedProvider(provider)" class="providers-list-item">\n              <span style="font-weight: 700">{{ provider.name }}</span> <span style="color: #444; font-size: 1.4rem;">{{\n                provider.edge }}</span>\n            </ion-item>\n          </ion-list>\n        </div>\n        <div style="position: relative;" class="wrapper" *ngIf="showDropDown">\n          <ion-item style="padding-left: 0;"  >\n            <ion-select placeholder="{{dropDownName}}" *ngIf="showProviders" style="max-width:100%;width:100%;">\n              <ion-option *ngFor="let provider of providers" (ionSelect)="selectedProvider(provider)" class="providers-list-item">\n                <span style="font-weight: 700">{{ provider.name }}</span> <span style="color: #444; font-size: 1.4rem;">{{\n                  provider.edge }}</span>\n              </ion-option>\n            </ion-select>\n          </ion-item> \n        </div>\n\n        <ion-item style="padding-left: 0;">\n          <ion-input type="text" autocapitalize="none" placeholder="Usuário" formControlName="uname" #uname></ion-input>\n        </ion-item>\n\n        <ion-item style="padding-left: 0;">\n          <ion-input type="password" placeholder="Senha" formControlName="pwd"></ion-input>\n        </ion-item>\n\n        <button ion-button type="submit" [disabled]="!loginFg.valid" class="login-submit-button">Entrar</button>\n\n        <div style="width: 100%; text-align: center; margin: 10px auto 5px auto;">\n          <ion-spinner *ngIf="isLoginLoading" name="bubbles"></ion-spinner>\n          <div class="expired-login" *ngIf="hasLoginResponse">\n            <p *ngIf="loginResponse==0">Não foi possível conectar a <a style="text-decoration: none" href="https://{{managerUrl}}">{{managerUrl}}</a>!\n              Verifique sua conexão com este domínio</p>\n            <p *ngIf="loginResponse==401">Credenciais de acesso inválidas!</p>\n            <p *ngIf="loginResponse==403">Usuário bloqueado pelo sistema! Entre em contato com o provedor.</p>\n            <p *ngIf="loginResponse==429">Máximo de sessões da conta foi atingido!</p>\n            <p *ngIf="loginResponse>=500 && loginResponse<510">Erro inesperado no servidor de autenticação!</p>\n            <p *ngIf="(loginResponse!=0 && loginResponse!=401 && loginResponse!=403 && loginResponse!=429 && loginResponse<500) || loginResponse>=510">\n              Erro inesperado no sistema ({{loginResponse}})!</p>\n          </div>\n        </div>\n      </div>\n    </form>\n  </div>\n\n  <div id="modalError" style="display:none">\n    <p>Falha ao carregar a configuração.</p>\n    <button ion-button type="submit" [disabled]="!loginFg.valid" class="login-submit-button">Entrar</button>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/pages/login/login.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ToastController */], __WEBPACK_IMPORTED_MODULE_3__angular_forms__["a" /* FormBuilder */], __WEBPACK_IMPORTED_MODULE_8__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__["a" /* Keyboard */], __WEBPACK_IMPORTED_MODULE_10__ionic_native_app_version__["a" /* AppVersion */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_screen_orientation__["a" /* ScreenOrientation */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_user_agent__["a" /* UserAgent */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], LoginPage);
    return LoginPage;
}());

var AuthResponse = /** @class */ (function () {
    function AuthResponse() {
    }
    return AuthResponse;
}());

var Config = /** @class */ (function () {
    function Config() {
    }
    return Config;
}());

var Provider = /** @class */ (function () {
    function Provider() {
    }
    return Provider;
}());

var HttpConfig = /** @class */ (function () {
    function HttpConfig() {
    }
    return HttpConfig;
}());

var Shop = /** @class */ (function () {
    function Shop() {
    }
    return Shop;
}());

//# sourceMappingURL=login.js.map

/***/ }),

/***/ 118:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export HttpConfig */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__hexToRgb__ = __webpack_require__(340);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ts_polyfill_lib_es2018_promise__ = __webpack_require__(341);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ts_polyfill_lib_es2018_promise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_ts_polyfill_lib_es2018_promise__);



var jsonHttpOptions = {
    headers: new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["c" /* HttpHeaders */]({ 'Accept': 'application/json', 'Content-Type': 'application/json' })
};
/* harmony default export */ __webpack_exports__["a"] = (function (managerUrl, http) {
    return new Promise(function (resolve, reject) {
        http.get("http" + "://" + managerUrl + "/config", jsonHttpOptions).subscribe(function (response) {
            var player = response.data.find(function (player) { return player.type_id == 2; });
            if (!player) {
                reject({ error: "Não há nenhuma customização para o player mobile. Carregando configurações padrões." });
            }
            var topColor = [
                'toolbar-background-md',
                'toolbar-background-ios',
            ];
            var buttonColor = ['login-submit-button'];
            var backgroundColor = [
                'content-md',
                'content-ios',
                'channel-logo',
                'playlist-refresh',
                'playlist-refresh-no-channels',
                'menu-item'
            ];
            addStyle(topColor, player, 'topColor');
            addStyle(buttonColor, player, 'buttonColor');
            addStyle(backgroundColor, player, 'backgroundColor');
            resolve(player);
        }, function (error) {
            reject({ error: "CDNTV Play API não está instalado neste cliente. Carregando configurações padrões." });
        });
    });
});
var HttpConfig = /** @class */ (function () {
    function HttpConfig() {
    }
    return HttpConfig;
}());

function addStyle(menuColor, player, key) {
    for (var _i = 0, menuColor_1 = menuColor; _i < menuColor_1.length; _i++) {
        var className = menuColor_1[_i];
        var items = document.getElementsByClassName(className);
        for (var _a = 0, _b = items; _a < _b.length; _a++) {
            var item = _b[_a];
            item.style.backgroundColor = player[key];
            if (key == 'backgroundColor') {
                var _c = Object(__WEBPACK_IMPORTED_MODULE_1__hexToRgb__["a" /* default */])(player[key], player.backgroundTransparency), r = _c.r, g = _c.g, b = _c.b, a = _c.a;
                var color = "rgba(" + r + "," + g + "," + b + "," + a + ")";
                item.style.backgroundColor = color;
            }
            else if (key == 'topColor') {
                var _d = Object(__WEBPACK_IMPORTED_MODULE_1__hexToRgb__["a" /* default */])(player[key], player.topColorTransparency), r = _d.r, g = _d.g, b = _d.b, a = _d.a;
                var color = "rgba(" + r + "," + g + "," + b + "," + a + ")";
                item.style.backgroundColor = color;
            }
        }
    }
}
//# sourceMappingURL=loadProviderStyle.js.map

/***/ }),

/***/ 130:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* unused harmony export Channel */
/* unused harmony export AuthResponse */
/* unused harmony export Config */
/* unused harmony export Cast */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_screen_orientation__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_sha1__ = __webpack_require__(381);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_sha1___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_sha1__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__login_login__ = __webpack_require__(116);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_version__ = __webpack_require__(66);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__utils_loadProviderStyle__ = __webpack_require__(118);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var jsonHttpOptions = {
    headers: new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["c" /* HttpHeaders */]({ 'Accept': 'application/json', 'Content-Type': 'application/json' })
};
var HomePage = /** @class */ (function () {
    function HomePage(http, screenOrientation, toastCtrl, storage, app, platform, alertCtrl, actionSheetCtrl, appVersion, loadingCtrl) {
        var _this = this;
        this.http = http;
        this.screenOrientation = screenOrientation;
        this.toastCtrl = toastCtrl;
        this.storage = storage;
        this.app = app;
        this.platform = platform;
        this.alertCtrl = alertCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.appVersion = appVersion;
        this.loadingCtrl = loadingCtrl;
        this.totalChannels = 0;
        this.channelsHeader = "0 Canais";
        this.showHeader = true;
        this.expire = null;
        this.lastChannelId = null;
        this.tokenRenewTime = null;
        this.isDemo = false;
        this.initCast = false;
        this.castStarted = false;
        this.castName = "GoogleCast";
        this.currentTokenExpire = null;
        this.changeTokenTime = null;
        this.protocol = "https";
        this.searchTerm = '';
        this.allData = []; //Store all data from provider
        this.filterData = []; //Store filtered data
        /**Parental defaults*/
        this.parental = "hide";
        this.userRating = 16;
        this.parpass = "39dfa55283318d31afe5a3ff4a0e3253e2045e43"; //0000
        var getVersion = this.appVersion.getVersionNumber();
        var getVersionCode = this.appVersion.getVersionCode();
        var getAppName = this.appVersion.getAppName();
        Promise.all([getVersion, getVersionCode, getAppName]).then(function (arrayOfResults) {
            var version = arrayOfResults[0];
            _this.appInfo = arrayOfResults[2] + " v" + version;
            _this.versionCode = +arrayOfResults[1];
            _this.versionApp = version + " - " + _this.versionCode;
        });
        this.screenOrientation.onChange().subscribe(function () {
            //  resizePlayer();
            if (_this.screenOrientation.type == _this.screenOrientation.ORIENTATIONS.LANDSCAPE_PRIMARY || _this.screenOrientation.type == _this.screenOrientation.ORIENTATIONS.LANDSCAPE_SECONDARY || _this.screenOrientation.type == _this.screenOrientation.ORIENTATIONS.LANDSCAPE) {
                _this.navBar.setHidden(true);
                setTimeout(function () {
                    hideHeader();
                }, 100);
            }
            else {
                _this.navBar.setHidden(false);
                setTimeout(function () {
                    showHeader();
                }, 100);
            }
        });
        this.platform.resume.subscribe(function () {
            if (!_this.castStarted) {
                startPlayer();
            }
            else {
                _this.playToCast();
            }
        });
        this.platform.pause.subscribe(function () {
            stopPlayer();
        });
        this.platform.ready().then(function (readySource) {
            _this.loading = _this.loadingCtrl.create({
                content: 'Carregando conteúdo...'
            });
            _this.loading.present();
            _this.initCastSender();
        });
    }
    HomePage_1 = HomePage;
    //ngAfterViewInit() {
    HomePage.prototype.initData = function () {
        var _this = this;
        var getUser = this.storage.get('user');
        var getRtoken = this.storage.get('rtoken');
        var getToken = this.storage.get('token');
        var getExpire = this.storage.get('expire');
        var getManagerUrl = this.storage.get('managerUrl');
        var getLastChannel = this.storage.get('lastChannel');
        var getProtocol = this.storage.get('protocol');
        Promise.all([getUser, getRtoken, getToken, getExpire, getManagerUrl, getLastChannel, getProtocol]).then(function (arrayOfResults) {
            _this.user = arrayOfResults[0], _this.rtoken = arrayOfResults[1], _this.token = arrayOfResults[2], _this.expire = arrayOfResults[3], _this.managerUrl = arrayOfResults[4], _this.lastChannelId = arrayOfResults[5], _this.protocol = arrayOfResults[6];
            Object(__WEBPACK_IMPORTED_MODULE_8__utils_loadProviderStyle__["a" /* default */])(_this.managerUrl, _this.http)
                .then(function (result) { })
                .catch(function (error) { })
                .finally(function () { _this.loadSettings(); });
        });
    };
    HomePage.prototype.loadSettings = function () {
        if (this.managerUrl == 's2.cdn.tv.br' || this.managerUrl == 'demo.cdn.tv.br') {
            this.isDemo = true;
        }
        this.mainLogo = this.protocol + "://" + this.managerUrl + "/logo/main-logo.png";
        this.renewToken();
        setManager(this.managerUrl);
        setProtocol(this.protocol);
        this.refresh();
    };
    HomePage.prototype.toast = function (message, duration, position) {
        var toast = this.toastCtrl.create({
            message: message,
            duration: duration * 1000,
            position: position,
        });
        toast.present();
    };
    HomePage.prototype.onSwipe = function (event) {
        var list = document.querySelectorAll("[title]");
        var scroll = document.querySelector("#playlistScrollable");
        if (event.direction == 2) { //left to right
            this.changeNextChannel(list, scroll);
        }
        else if (event.direction == 4) { //right to left
            this.changePrevChannel(list, scroll);
        }
    };
    HomePage.prototype.changePrevChannel = function (list, scroll) {
        if (this.currentChannel.index == 0) { //first
            this.changeLastChannel(list, scroll);
        }
        else {
            this.switch(this.channels[this.currentChannel.index - 1]);
            if (this.currentChannel.index == 0) { //bug fix
                this.cursorFocus(list[0], scroll);
            }
            else {
                this.cursorFocus(list[this.currentChannel.index - 1], scroll);
            }
        }
    };
    HomePage.prototype.changeNextChannel = function (list, scroll) {
        if (this.currentChannel.index == this.channels.length - 1) { //last
            this.changeFirstChannel(list, scroll);
        }
        else {
            this.switch(this.channels[this.currentChannel.index + 1]);
            if (this.currentChannel.index == this.channels.length - 1) { //bug fix
                this.cursorFocus(list[this.channels.length - 1], scroll);
            }
            else {
                this.cursorFocus(list[this.currentChannel.index + 1], scroll);
            }
        }
    };
    HomePage.prototype.changeLastChannel = function (list, scroll) {
        this.switch(this.channels[this.channels.length - 1]);
        this.cursorFocus(list[this.channels.length - 1], scroll);
    };
    HomePage.prototype.changeFirstChannel = function (list, scroll) {
        this.switch(this.channels[0]);
        this.cursorFocus(list[0], scroll);
    };
    HomePage.prototype.cursorFocus = function (elem, scroll) {
        var y = elem.offsetTop;
        elem.focus();
        document.querySelector("#playlistScrollable").scrollTo(0, y - scroll.scrollHeight / this.channels.length);
    };
    HomePage.prototype.renewToken = function () {
        var _this = this;
        var data = null;
        if (this.rtoken) {
            //renew token with token
            var getLat = this.storage.get('lat');
            var getLon = this.storage.get('lon');
            Promise.all([getLat, getLon]).then(function (arrayOfResults) {
                var lat = arrayOfResults[0], lon = arrayOfResults[1];
                data = JSON.stringify({ "token": _this.rtoken, "version": _this.versionApp, "location": { "latitude": lat, "longitude": lon }, "useragent": navigator.userAgent });
                _this.getToken(data);
            });
        }
        else {
            //logout
            this.logout(true);
        }
    };
    HomePage.prototype.setFilteredLocations = function () {
        var _this = this;
        this.filterData = this.allData.filter(function (location) {
            return location.name.toLowerCase().indexOf(_this.searchTerm.toLowerCase()) > -1;
        });
    };
    HomePage.prototype.getToken = function (data) {
        var _this = this;
        var now = new Date();
        this.http.post(this.protocol + "://" + this.managerUrl + "/auth", data, jsonHttpOptions).subscribe(function (response) {
            try {
                var now = new Date();
                var lifetime = response.lifetime * 1000;
                var expire = now.getTime() + lifetime;
                _this.parpass = response.parpass;
                _this.userRating = response.rating;
                _this.parental = response.parental;
                _this.token = response.token;
                setToken(_this.token);
                _this.expire = expire;
                _this.storage.set('token', _this.token);
                _this.storage.set('expire', _this.expire);
                _this.tokenRenewTime = Math.ceil(lifetime / 10);
                setTimeout(function () { _this.renewToken(); }, _this.tokenRenewTime);
            }
            catch (e) {
                if (!_this.token || now.getTime() > _this.expire) {
                    //Logout
                    _this.logout(true);
                }
                else {
                    setTimeout(function () { _this.renewToken(); }, _this.tokenRenewTime);
                }
            }
        }, function (error) {
            if (!_this.token || now.getTime() > _this.expire) {
                //Logout
                _this.logout(true);
            }
            else {
                setTimeout(function () { _this.renewToken(); }, _this.tokenRenewTime);
            }
        });
    };
    HomePage.prototype.switch = function (ch) {
        var _this = this;
        if (this.userRating <= ch.rating && this.parental == "ask") {
            this.showRestrictModal(ch);
        }
        else {
            this.currentChannel = ch;
            this.storage.set('lastChannel', ch.id);
            this.currentChannelUrl = this.protocol + "://" + this.managerUrl + ch.hls + "&t=" + this.token;
            this.http.get(this.protocol + "://" + this.managerUrl + "/channels/" + this.currentChannel.id + "?t=" + this.token, jsonHttpOptions).subscribe(function (response) {
                try {
                    if (response.health == 0) {
                        activateChannel(_this.currentChannel);
                        showPlayerError(_this.currentChannel);
                        setTimeout(function () { _this.retryChannel(ch); }, 30000);
                    }
                    else {
                        _this.checkTokenExpire(_this.expire);
                        if (_this.castStarted) {
                            _this.playToCast();
                        }
                        else {
                            switchChannel(ch);
                        }
                    }
                }
                catch (e) {
                    activateChannel(_this.currentChannel);
                    showPlayerError(_this.currentChannel);
                }
            }, function (error) {
                activateChannel(_this.currentChannel);
                showPlayerError(_this.currentChannel);
            });
        }
    };
    HomePage.prototype.retryChannel = function (ch) {
        if (ch == this.currentChannel) {
            this.switch(ch);
        }
    };
    HomePage.prototype.isInChannels = function (ch) {
        for (var _i = 0, _a = this.channels; _i < _a.length; _i++) {
            var channel = _a[_i];
            if (channel.id == ch.id) {
                return true;
            }
        }
        return false;
    };
    HomePage.getLastChannelObject = function (lastChannelId, channels) {
        var i;
        for (i = 0; i < channels.length; i++) {
            if (channels[i].id == lastChannelId) {
                return channels[i];
            }
        }
        return channels[0];
    };
    HomePage.prototype.refreshPage = function () {
        this.loading = this.loadingCtrl.create({
            content: 'Carregando conteúdo...'
        });
        this.loading.present();
        this.refresh();
    };
    HomePage.prototype.refresh = function () {
        var _this = this;
        //Reload Channels
        this.http.get(this.protocol + "://" + this.managerUrl + "/channels?t=" + this.token, jsonHttpOptions).subscribe(function (channels) {
            try {
                var i = void 0;
                for (i = 0; i < channels.length; i++) {
                    if (channels[i].logo !== null && channels[i].logo.indexOf("://") < 0) {
                        channels[i].logo = _this.protocol + "://" + _this.managerUrl + channels[i].logo;
                    }
                    channels[i].index = i;
                }
                _this.channels = channels;
                _this.allData = _this.channels;
                _this.filterData = _this.allData;
                var lastChannel = HomePage_1.getLastChannelObject(_this.lastChannelId, _this.channels);
                setTimeout(function () {
                    if (_this.totalChannels == 0 && _this.channels.length > 0) {
                        activateChannelsBody();
                        _this.switch(lastChannel);
                        _this.toast("Canais carregados com sucesso!", 3, "bottom");
                    }
                    else {
                        if (_this.channels.length == 0) {
                            deactivateChannelsBody();
                        }
                        else {
                            if (_this.isInChannels(_this.currentChannel)) {
                                activateChannel(_this.currentChannel);
                            }
                            else {
                                _this.switch(lastChannel);
                            }
                            _this.toast("Canais carregados com sucesso!", 3, "bottom");
                        }
                    }
                    _this.totalChannels = _this.channels.length;
                    if (_this.totalChannels == 1) {
                        _this.channelsHeader = "1 Canal Disponível";
                    }
                    else {
                        _this.channelsHeader = _this.totalChannels + " Canais Disponíveis";
                    }
                    _this.loading.dismiss();
                }, 500);
            }
            catch (e) {
                setTimeout(function () {
                    deactivateChannelsBody();
                    _this.loading.dismiss();
                }, 500);
            }
        }, function (error) {
            setTimeout(function () {
                deactivateChannelsBody();
                _this.loading.dismiss();
            }, 500);
        });
    };
    HomePage.prototype.logout = function (expired) {
        if (expired === void 0) { expired = false; }
        this.storage.remove('rtoken');
        this.storage.remove('token');
        this.storage.remove('user');
        this.storage.remove('expire');
        this.storage.set('expired', expired);
        this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_6__login_login__["a" /* LoginPage */];
    };
    HomePage.prototype.changeToken = function () {
        var now = new Date();
        if (now.getTime() > this.changeTokenTime) {
            document.getElementById('has-channels').style.display = "none";
            document.getElementById('still-watching-modal').style.display = "block";
            stopPlayer();
        }
    };
    HomePage.prototype.checkTokenExpire = function (expire) {
        var _this = this;
        var now = new Date();
        var diff = expire - now.getTime();
        diff = Math.ceil(diff * 0.8); //renew token some time before expire
        this.currentTokenExpire = expire;
        this.changeTokenTime = now.getTime() + Math.ceil(diff * 0.8); //margin of error
        setTimeout(function () { _this.changeToken(); }, diff);
    };
    HomePage.prototype.keepWatching = function () {
        this.switch(this.currentChannel);
        document.getElementById('still-watching-modal').style.display = "none";
        document.getElementById('has-channels').style.display = "block";
    };
    HomePage.prototype.startCast = function () {
        this.castStarted = true;
        document.getElementById('player').style.display = "none";
        document.getElementById('casting-info').style.display = "block";
        document.getElementById('start-cast').style.display = "none";
        document.getElementById('exit-cast').style.display = "block";
        document.getElementById('fill-cast-action').style.display = "none";
    };
    HomePage.prototype.endCast = function () {
        this.castStarted = false;
        document.getElementById('casting-info').style.display = "none";
        document.getElementById('player').style.display = "block";
        document.getElementById('exit-cast').style.display = "none";
        document.getElementById('start-cast').style.display = "block";
        document.getElementById('fill-cast-action').style.display = "none";
    };
    HomePage.prototype.initCastSender = function () {
        var _this = this;
        var data = {
            successCallback: function (result) {
                _this.startCast();
                _this.initData();
            },
            errorCallback: function (a) {
                _this.endCast();
                _this.initData();
            }
        };
        cordova.plugins.castSender.init(data);
    };
    HomePage.prototype.listCastOptions = function () {
        this.getCastList();
    };
    HomePage.prototype.getCastList = function () {
        var _this = this;
        var data = {
            successCallback: function (result) {
                var castList;
                castList = JSON.parse(result);
                _this.showCastDevices(castList);
            },
            errorCallback: function (error) {
            },
        };
        cordova.plugins.castSender.getCastList(data);
    };
    HomePage.prototype.castTo = function (id, name) {
        var _this = this;
        var data = {
            successCallback: function (result) {
                _this.playToCast();
            },
            errorCallback: function (error) {
                _this.toast("Unable to connect to " + name, 5, "bottom");
            },
            castId: id,
        };
        cordova.plugins.castSender.connect(data);
    };
    HomePage.prototype.playToCast = function () {
        var _this = this;
        var data = {
            successCallback: function (result) {
                _this.castName = result;
                _this.startCast();
                activateChannel(_this.currentChannel);
                stopPlayer();
            },
            errorCallback: function (error) {
                _this.toast("Disconnected from " + _this.castName, 5, "bottom");
                _this.endCast();
                switchChannel(_this.currentChannel);
            },
            url: this.currentChannelUrl,
            tokenLifetime: this.currentTokenExpire - new Date().getTime()
        };
        cordova.plugins.castSender.play(data);
    };
    HomePage.prototype.exitCast = function () {
        var _this = this;
        var data = {
            successCallback: function (result) {
                _this.endCast();
                switchChannel(_this.currentChannel);
            },
            errorCallback: function (error) {
                _this.endCast();
                switchChannel(_this.currentChannel);
            },
        };
        cordova.plugins.castSender.exit(data);
    };
    HomePage.prototype.showRestrictModal = function (ch) {
        var _this = this;
        var actionSheet = this.alertCtrl.create({
            title: 'Canal não recomendado para menores de 18',
            message: 'Para continuar assistindo, insira a senha: ',
            inputs: [
                {
                    name: 'password',
                    placeholder: 'Senha',
                    type: 'password'
                },
            ],
            buttons: [
                {
                    text: 'Cancelar',
                    role: 'cancel',
                    handler: function (data) {
                        return true;
                    }
                },
                {
                    text: 'Confirmar',
                    handler: function (data) {
                        var pwd_input = __WEBPACK_IMPORTED_MODULE_4_sha1___default()(data.password);
                        if (_this.parpass == pwd_input) {
                            _this.parental = "hide";
                            _this.switch(ch);
                            return true;
                        }
                        actionSheet.setMessage("Para continuar assistindo, insira a senha:\nSenha inválida!");
                        return false;
                    }
                }
            ]
        });
        actionSheet.present();
    };
    HomePage.prototype.showCastDevices = function (castList) {
        var _this = this;
        if (castList.length > 0) {
            var actionSheet = this.actionSheetCtrl.create({
                title: 'Transmitir Para...',
                enableBackdropDismiss: true
            });
            var _loop_1 = function (i) {
                actionSheet.addButton({
                    text: castList[i].name,
                    icon: "desktop",
                    handler: function () {
                        _this.castTo(castList[i].id, castList[i].name);
                    }
                });
            };
            for (var i = 0; i < castList.length; i++) {
                _loop_1(i);
            }
            actionSheet.present();
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: 'Transmitir Para...',
                message: 'Nenhum destino do Google Cast encontrado.',
                buttons: [
                    {
                        text: 'OK',
                        role: 'cancel',
                    }
                ]
            });
            alert_1.present();
        }
    };
    var HomePage_1;
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('navBar'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* Navbar */])
    ], HomePage.prototype, "navBar", void 0);
    HomePage = HomePage_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/pages/home/home.html"*/'<ion-header>\n  <ion-navbar align-title="center" #navBar>\n    <button ion-button menuToggle class="menu-button">\n      <ion-icon name="menu"></ion-icon>\n    </button>\n\n    <ion-title text-center>\n      <img class="main-logo" src="{{mainLogo}}">\n    </ion-title>\n\n    <ion-buttons end>\n      <div id="fill-cast-action" class="menu-button" style="display:block"></div>\n      <button ion-button class="menu-button" (click)=\'exitCast();\' id="exit-cast" style="display:none;">\n        <img class="header-button" src="assets/icon/stop-cast.png" />\n      </button>\n\n      <button ion-button class="menu-button" (click)=\'listCastOptions();\' id="start-cast" style="display:none;">\n        <img class="header-button" src="assets/icon/start-cast.png" />\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <div id="has-channels" style="display:none">\n    <div class="player-body">\n      <div class="player-container">\n        <div class="player-widget">\n          <div class="player-image"></div>\n          <div class="player-content">\n            <div style="display:none;" id="player" (swipe)="onSwipe($event)"></div>\n\n            <div style="display:none; height: 100%;" id="casting-info">\n              <div class="casting-info">\n                <p id="cast-playing-info">Reproduzindo em {{castName}}</p>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n      <div class="player-side-panel">\n        <div class="player-side-panel-content">\n          <div class="playlist-structure">\n            <div>\n              <button ion-button (click)="refresh();" class="playlist-refresh">\n                <ion-icon name="refresh"></ion-icon>\n              </button>\n              <p class="playlist-channels-count">{{channelsHeader}}</p>\n              <ion-toolbar>\n                <ion-searchbar [(ngModel)]="searchTerm" (ionInput)="setFilteredLocations()" placeholder="Procurar canais" mode="ios" class="filterbar"></ion-searchbar>\n              </ion-toolbar>\n            </div>\n            <div class="playlist-scrollable">\n              <div class="playlist-scroll-box" id="playlistScrollable">\n                <a class="playlist-item" title="{{c.name}}" (click)="switch(c);" href="#" *ngFor="let c of filterData">\n                  <div class="playlist-item-index">\n                    <div id="ch{{c.id}}-play" class="playing-icon" style="display: none;">\n                      <ion-icon name="play"></ion-icon>\n                    </div>\n                    <div id="ch{{c.id}}-num">{{c.number}}</div>\n                  </div>\n                  <div class="playlist-item-widget">\n                    <div class="playlist-item-image"></div>\n                    <div class="playlist-item-content">\n\n                      <div class="playlist-item-logo">\n                        <img src="{{c.logo}}" />\n                      </div>\n\n                      <div id="ch{{c.id}}-watching" class="playlist-item-watching-cover" style="display: none"></div>\n                      <div id="ch{{c.id}}-watching-label" class="playlist-item-watching-label " style="display: none">\n                        Assistindo</div>\n                    </div>\n                  </div>\n                  <span>\n                    <div class="playlist-item-title">{{c.name}}</div>\n                  </span>\n                </a>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div id="no-channels" style="display:none">\n    <div class="error-page-content">\n      <div class="error-page-attachments">\n        <div class="error-page-info">\n          <div class="error-page-info-text">\n            <h1>Ooops, aconteceu algo errado...</h1>\n            <p>Não foi possível obter os dados a partir do servidor. Tente novamente mais tarde.</p>\n          </div>\n        </div>\n\n        <div class="error-page-actions">\n          <a href="javascript:void(0)" (click)="refreshPage();">\n            <ion-icon name="refresh"></ion-icon><span>Recarregar</span>\n          </a>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div id="still-watching-modal" class="modal" style="display: none">\n    <div class="modal-content modal-animate">\n      <div class="modal-container" *ngIf="!isDemo">\n        <p class="still-watching-message">Você ainda está assistindo este canal?</p>\n        <button ion-button class="modal-button" (click)="keepWatching();">Continuar Assistindo</button>\n      </div>\n\n      <div class="modal-container" *ngIf="isDemo">\n        <p class="still-watching-message">Seu período de demonstração expirou!</p>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/pages/home/home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_screen_orientation__["a" /* ScreenOrientation */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ToastController */], __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_version__["a" /* AppVersion */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */]])
    ], HomePage);
    return HomePage;
}());

var Channel = /** @class */ (function () {
    function Channel() {
    }
    return Channel;
}());

var AuthResponse = /** @class */ (function () {
    function AuthResponse() {
    }
    return AuthResponse;
}());

var Config = /** @class */ (function () {
    function Config() {
    }
    return Config;
}());

var Cast = /** @class */ (function () {
    function Cast() {
    }
    return Cast;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 142:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 142;

/***/ }),

/***/ 184:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 184;

/***/ }),

/***/ 257:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AboutPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_app_version__ = __webpack_require__(66);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_loadProviderStyle__ = __webpack_require__(118);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var AboutPage = /** @class */ (function () {
    function AboutPage(appVersion, http, storage) {
        var _this = this;
        this.appVersion = appVersion;
        this.http = http;
        this.storage = storage;
        this.appInfo = null;
        var getVersion = this.appVersion.getVersionNumber();
        var getAppName = this.appVersion.getAppName();
        var getManagerUrl = this.storage.get('managerUrl');
        Promise.all([getVersion, getAppName, getManagerUrl]).then(function (arrayOfResults) {
            var version = arrayOfResults[0];
            _this.appInfo = arrayOfResults[1] + " Mobile v" + version;
            _this.managerUrl = arrayOfResults[2];
            Object(__WEBPACK_IMPORTED_MODULE_4__utils_loadProviderStyle__["a" /* default */])(_this.managerUrl, _this.http).then(function (player) { console.log("player", player); })
                .catch(function (error) { console.log("error", error); });
        });
    }
    AboutPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-about',template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/pages/about/about.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle class="menu-button">\n      <ion-icon name="menu"></ion-icon>\n    </button>\n\n    <ion-title>Sobre o aplicativo</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <p class="app-info">{{appInfo}}</p>\n</ion-content>\n'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/pages/about/about.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_app_version__["a" /* AppVersion */], __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */]])
    ], AboutPage);
    return AboutPage;
}());

//# sourceMappingURL=about.js.map

/***/ }),

/***/ 258:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(259);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(280);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 280:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_geolocation___ = __webpack_require__(335);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_user_agent__ = __webpack_require__(226);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__app_component__ = __webpack_require__(336);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_login_login__ = __webpack_require__(116);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_home_home__ = __webpack_require__(130);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_settings_settings__ = __webpack_require__(387);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_about_about__ = __webpack_require__(257);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__angular_forms__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_status_bar__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_splash_screen__ = __webpack_require__(228);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__ionic_native_android_full_screen__ = __webpack_require__(229);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__ionic_native_insomnia__ = __webpack_require__(230);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__ionic_native_screen_orientation__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__ionic_native_app_version__ = __webpack_require__(66);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




















var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */],
                __WEBPACK_IMPORTED_MODULE_9__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_10__pages_settings_settings__["a" /* SettingsPage */],
                __WEBPACK_IMPORTED_MODULE_11__pages_about_about__["a" /* AboutPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["f" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */], {}, {
                    links: []
                }),
                __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["b" /* HttpClientModule */],
                __WEBPACK_IMPORTED_MODULE_18__ionic_storage__["a" /* IonicStorageModule */].forRoot(),
                __WEBPACK_IMPORTED_MODULE_12__angular_forms__["b" /* FormsModule */],
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */],
                __WEBPACK_IMPORTED_MODULE_9__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_10__pages_settings_settings__["a" /* SettingsPage */],
                __WEBPACK_IMPORTED_MODULE_11__pages_about_about__["a" /* AboutPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_13__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_14__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_15__ionic_native_android_full_screen__["a" /* AndroidFullScreen */],
                __WEBPACK_IMPORTED_MODULE_16__ionic_native_insomnia__["a" /* Insomnia */],
                __WEBPACK_IMPORTED_MODULE_17__ionic_native_screen_orientation__["a" /* ScreenOrientation */],
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__["a" /* Keyboard */],
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_geolocation___["a" /* Geolocation */],
                __WEBPACK_IMPORTED_MODULE_19__ionic_native_app_version__["a" /* AppVersion */],
                __WEBPACK_IMPORTED_MODULE_6__ionic_native_user_agent__["a" /* UserAgent */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* IonicErrorHandler */] }
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 336:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(228);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_android_full_screen__ = __webpack_require__(229);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_insomnia__ = __webpack_require__(230);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__angular_common_http__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_login_login__ = __webpack_require__(116);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_home_home__ = __webpack_require__(130);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_about_about__ = __webpack_require__(257);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










//import { SettingsPage } from '../pages/settings/settings';

var jsonHttpOptions = {
    headers: new __WEBPACK_IMPORTED_MODULE_7__angular_common_http__["c" /* HttpHeaders */]({ 'Content-Type': 'application/json' })
};
var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, splashScreen, androidFullScreen, insomnia, app, storage, http, alertCtrl) {
        this.platform = platform;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.androidFullScreen = androidFullScreen;
        this.insomnia = insomnia;
        this.app = app;
        this.storage = storage;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */];
        this.initializeApp();
        this.pages = [
            { title: 'Canais', component: __WEBPACK_IMPORTED_MODULE_9__pages_home_home__["a" /* HomePage */], icon: 'desktop', function: null },
            { title: 'Sobre', component: __WEBPACK_IMPORTED_MODULE_10__pages_about_about__["a" /* AboutPage */], icon: 'information-circle', function: null },
            { title: 'Logout', component: null, icon: 'log-out', function: 'logout' },
            { title: 'Sair', component: null, icon: 'exit', function: 'exit' }
        ];
    }
    MyApp.prototype.logout = function () {
        var _this = this;
        var getRtoken = this.storage.get('rtoken');
        var getToken = this.storage.get('token');
        var getManagerUrl = this.storage.get('managerUrl');
        Promise.all([getRtoken, getToken, getManagerUrl]).then(function (arrayOfResults) {
            var rtoken = arrayOfResults[0];
            var token = arrayOfResults[1];
            var managerUrl = arrayOfResults[2];
            var data = JSON.stringify({ "rtoken": rtoken, "token": token });
            _this.http.put("https://" + managerUrl + "/auth", data, jsonHttpOptions).subscribe(function (response) {
                try {
                    hardStopPlayer();
                    _this.storage.remove('rtoken');
                    _this.storage.remove('token');
                    _this.storage.remove('user');
                    _this.storage.remove('expire');
                    _this.storage.remove('managerUrl');
                    _this.storage.remove('lastChannel');
                    _this.storage.set('expired', false);
                    _this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */];
                }
                catch (e) {
                    console.log(e);
                    hardStopPlayer();
                    _this.storage.remove('rtoken');
                    _this.storage.remove('token');
                    _this.storage.remove('user');
                    _this.storage.remove('expire');
                    _this.storage.remove('managerUrl');
                    _this.storage.remove('lastChannel');
                    _this.storage.set('expired', false);
                    _this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */];
                }
            }, function (error) {
                hardStopPlayer();
                _this.storage.remove('rtoken');
                _this.storage.remove('token');
                _this.storage.remove('user');
                _this.storage.remove('expire');
                _this.storage.remove('managerUrl');
                _this.storage.remove('lastChannel');
                _this.storage.set('expired', false);
                _this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */];
            });
        });
    };
    MyApp.prototype.exit = function () {
        this.platform.exitApp();
    };
    MyApp.prototype.initializeApp = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.startFirstPage().then(function () {
                //Ionic bug na transicao da root page
                setTimeout(function () {
                    _this.splashScreen.hide();
                }, 50);
            });
            _this.statusBar.styleDefault();
            _this.splashScreen.hide();
            _this.androidFullScreen.isImmersiveModeSupported()
                .then(function () { return _this.androidFullScreen.immersiveMode(); })
                .catch(function (error) { return console.log(error); });
            _this.insomnia.keepAwake();
        });
    };
    MyApp.prototype.startFirstPage = function () {
        return this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */]);
    };
    MyApp.prototype.openPage = function (page) {
        // Reset the content nav to have just this page
        // we wouldn't want the back button to show in this scenario
        //this.nav.setRoot(null);
        var _this = this;
        if (page.function != null) {
            if (page.function == 'logout') {
                var alerta = this.alertCtrl.create({
                    title: 'Logout',
                    message: 'Você realmente quer deslogar? Terá que colocar o usuario e senha novamente.',
                    buttons: [
                        {
                            text: 'Logout',
                            role: 'log-out',
                            handler: function () {
                                _this.logout();
                            }
                        },
                        {
                            text: 'Voltar',
                            role: 'cancel',
                            handler: function () {
                            }
                        }
                    ]
                });
                alerta.present();
            }
            if (page.function == 'exit') {
                this.exit();
            }
        }
        else {
            if (page.component != this.app.getRootNavs()[0].root) {
                //"this.nav.setRoot(page.component);" doesn't work properly
                hardStopPlayer();
                this.app.getRootNavs()[0].root = page.component;
            }
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/app/app.html"*/'<ion-menu [content]="content">\n  <ion-header>\n    <ion-toolbar>\n      <ion-title color="light">Menu</ion-title>\n    </ion-toolbar>\n  </ion-header>\n\n  <ion-content>\n    <ion-list>\n      <button menuClose ion-item icon-start *ngFor="let p of pages" (click)="openPage(p)" class="menu-item">\n        <ion-icon name="{{p.icon}}"></ion-icon>\n        {{p.title}}\n      </button>\n    </ion-list>\n  </ion-content>\n\n</ion-menu>\n\n<!-- Disable swipe-to-go-back because it\'s poor UX to combine STGB with side menus -->\n<ion-nav #content swipeBackEnabled="false"></ion-nav>\n'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/app/app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_android_full_screen__["a" /* AndroidFullScreen */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_insomnia__["a" /* Insomnia */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_7__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 340:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony default export */ __webpack_exports__["a"] = (function (hex, opacity) {
    // Expand shorthand form (e.g. "03F") to full form (e.g. "0033FF")
    var shorthandRegex = /^#?([a-f\d])([a-f\d])([a-f\d])$/i;
    hex = hex.replace(shorthandRegex, function (m, r, g, b) {
        return r + r + g + g + b + b;
    });
    var result = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
    return result ? {
        r: parseInt(result[1], 16),
        g: parseInt(result[2], 16),
        b: parseInt(result[3], 16),
        a: opacity
    } : null;
});
//# sourceMappingURL=hexToRgb.js.map

/***/ }),

/***/ 387:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SettingsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var SettingsPage = /** @class */ (function () {
    function SettingsPage(navCtrl) {
        this.navCtrl = navCtrl;
    }
    SettingsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-settings',template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/pages/settings/settings.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle color="light">\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    \n    <ion-title>Configurações</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <p style="color: white;">A implementar</p>\n</ion-content>\n'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/pages/settings/settings.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */]])
    ], SettingsPage);
    return SettingsPage;
}());

//# sourceMappingURL=settings.js.map

/***/ })

},[258]);
//# sourceMappingURL=main.js.map