cordova.define("castSender.castSender", function(require, exports, module) {
var exec = require('cordova/exec');
var cordovaPlugin = 'castSender';

exports.init = function (options) {
    execute('init', options);
};

exports.getCastList = function (options) {
    execute('getCastList', options);
};

exports.connect = function (options) {
    execute('connect', options);
};

exports.play = function (options) {
    execute('play', options);
};

exports.exit = function (options) {
    execute('exit', options);
};

function execute(method, options) {
    options = options || {};
    exec(options.successCallback || null, options.errorCallback || null, cordovaPlugin, method, [options]);
}
});
